package geniusweb.domaineditor;

import java.awt.BorderLayout;
import java.util.Arrays;
import java.util.Collections;
import java.util.Map;

import javax.swing.JFrame;
import javax.swing.JPanel;

import org.junit.Test;

import geniusweb.domaineditor.model.BidModel;
import geniusweb.domaineditor.model.DiscreteValueSetModel;
import geniusweb.domaineditor.model.DomainModel;
import geniusweb.domaineditor.model.ValueSetModel;
import geniusweb.domaineditor.panels.BidEditorPanel;
import geniusweb.domaineditor.panels.DomainEditorPanel;
import tudelft.utilities.logging.Reporter;
import tudelft.utilities.mvc.model.DefaultMapModel;
import tudelft.utilities.mvc.model.DefaultSelectionModel;
import tudelft.utilities.mvc.model.MapModel;
import tudelft.utilities.mvc.model.SelectionModel;
import tudelft.utilities.mvc.model.StringModel;
import tudelft.utilities.mvc.panels.PopupReporter;

public class BidModelPanelTest {

	private int n = 1;

	@Test
	public void teste2e() throws InterruptedException {
		JFrame frame = new JFrame();
		Reporter log = new PopupReporter(frame);

		JPanel panel = new JPanel(new BorderLayout());

		StringModel redvalue = new StringModel("red", log);
		StringModel greenvalue = new StringModel("green", log);
		DiscreteValueSetModel issue1values = new DiscreteValueSetModel(
				Arrays.asList(redvalue, greenvalue), log);

		StringModel issue1 = new StringModel("issue", log);

		SelectionModel issue1valuessel = new DefaultSelectionModel(
				issue1values);
		Map<StringModel, SelectionModel> a = Collections.singletonMap(issue1,
				issue1valuessel);

		MapModel<StringModel, ValueSetModel> issuevaluesmodel = new DefaultMapModel<StringModel, ValueSetModel>(
				Collections.singletonMap(issue1, issue1values), log) {

			@Override
			public String getColumnName(int n) {
				return n == 0 ? "issue" : "value";
			}

			@Override
			public ValueSetModel create(StringModel key) {
				throw new UnsupportedOperationException();
			}

			@Override
			public int getMinimumSize() {
				return 1;
			}

		};
		DomainModel domain = new DomainModel(new StringModel("testdomain", log),
				issuevaluesmodel, log);

		panel.add(new DomainEditorPanel(domain, log), BorderLayout.WEST);
		panel.add(
				new BidEditorPanel(new BidModel(domain.getIssuesModel(), log)),
				BorderLayout.CENTER);

		frame.getContentPane().add(panel);
		frame.pack();
		frame.setVisible(true);
		Thread.sleep(10000);
		frame.setVisible(false);
	}

}
