package geniusweb.protocol.tournament;

import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonAutoDetect.Visibility;
import com.fasterxml.jackson.annotation.JsonSubTypes;
import com.fasterxml.jackson.annotation.JsonSubTypes.Type;

import geniusweb.protocol.NegoState;
import geniusweb.protocol.tournament.allpermutations.AllPermutationsState;
import geniusweb.protocol.tournament.allpermutationslearn.AllPermutationsLearnState;

/**
 * The current state of the tournament. Must be implement Json serialization so
 * that it can be used to log the state. State must contain all information to
 * determine the relevant info of the negotiation. It may also be used to
 * restart the nego if a crash occurs.
 */
@JsonAutoDetect(fieldVisibility = Visibility.ANY, getterVisibility = Visibility.NONE, setterVisibility = Visibility.NONE)
@JsonSubTypes({ @Type(value = AllPermutationsState.class),
		@Type(value = AllPermutationsLearnState.class) })
public interface TournamentState extends NegoState {

}
